net.minecraft.client.renderer.entity

## Class RenderItem

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RenderItem

-     public class RenderItem
      extends Render

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `renderInFrame`
    `boolean` | `renderWithColor`
    `float` | `zLevel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityItem par1EntityItem, double par2, double par4, double par6, float par8, float par9)`
    `protected ResourceLocation` | `getEntityTexture(Entity par1Entity)`
    `protected ResourceLocation` | `getEntityTexture(EntityItem par1EntityItem)`
    `static RenderItem` | `getInstance()` Returns a single lazy loaded instance of RenderItem, for use in mods who don't care about the interaction of other objects on the current state of the RenderItem they are using.
    `byte` | `getMiniBlockCount(ItemStack stack, byte original)`
    `byte` | `getMiniItemCount(ItemStack stack, byte original)` Allows for a subclass to override how many rendered items appear in a "mini item 3d stack"
    `void` | `renderEffect(TextureManager manager, int x, int y)`
    `void` | `renderIcon(int par1, int par2, IIcon par3Icon, int par4, int par5)`
    `void` | `renderItemAndEffectIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5)`
    `void` | `renderItemIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5)`
    `void` | `renderItemIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5, boolean renderEffect)`
    `void` | `renderItemOverlayIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5)`
    `void` | `renderItemOverlayIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5, java.lang.String par6Str)`
    `boolean` | `shouldBob()` Items should have a bob effect
    `boolean` | `shouldSpreadItems()` Items should spread out when rendered in 3d?

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderWithColor

          public boolean renderWithColor

    - #### zLevel

          public float zLevel

    - #### renderInFrame

          public static boolean renderInFrame

  - ### Constructor Detail

    - #### RenderItem

          public RenderItem()

  - ### Method Detail

    - #### doRender

          public void doRender(EntityItem par1EntityItem,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(EntityItem par1EntityItem)

    - #### renderItemIntoGUI

          public void renderItemIntoGUI(FontRenderer par1FontRenderer,
                               TextureManager par2TextureManager,
                               ItemStack par3ItemStack,
                               int par4,
                               int par5)

    - #### renderItemIntoGUI

          public void renderItemIntoGUI(FontRenderer par1FontRenderer,
                               TextureManager par2TextureManager,
                               ItemStack par3ItemStack,
                               int par4,
                               int par5,
                               boolean renderEffect)

    - #### renderItemAndEffectIntoGUI

          public void renderItemAndEffectIntoGUI(FontRenderer par1FontRenderer,
                                        TextureManager par2TextureManager,
                                        ItemStack par3ItemStack,
                                        int par4,
                                        int par5)

    - #### renderEffect

          public void renderEffect(TextureManager manager,
                          int x,
                          int y)

    - #### renderItemOverlayIntoGUI

          public void renderItemOverlayIntoGUI(FontRenderer par1FontRenderer,
                                      TextureManager par2TextureManager,
                                      ItemStack par3ItemStack,
                                      int par4,
                                      int par5)

    - #### renderItemOverlayIntoGUI

          public void renderItemOverlayIntoGUI(FontRenderer par1FontRenderer,
                                      TextureManager par2TextureManager,
                                      ItemStack par3ItemStack,
                                      int par4,
                                      int par5,
                                      java.lang.String par6Str)

    - #### renderIcon

          public void renderIcon(int par1,
                        int par2,
                        IIcon par3Icon,
                        int par4,
                        int par5)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(Entity par1Entity)

      Specified by:
        `getEntityTexture` in class `Render`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Specified by:
        `doRender` in class `Render`

    - #### shouldSpreadItems

          public boolean shouldSpreadItems()

      Items should spread out when rendered in 3d?
      Returns:

    - #### shouldBob

          public boolean shouldBob()

      Items should have a bob effect
      Returns:

    - #### getMiniBlockCount

          public byte getMiniBlockCount(ItemStack stack,
                               byte original)

    - #### getMiniItemCount

          public byte getMiniItemCount(ItemStack stack,
                              byte original)

      Allows for a subclass to override how many rendered items appear in a "mini item 3d stack"
      Parameters:
        `stack` - The item stack
        `original` - The default amount vanilla would use
      Returns:

    - #### getInstance

          public static RenderItem getInstance()

      Returns a single lazy loaded instance of RenderItem, for use in mods who don't care about the interaction of other objects on the current state of the RenderItem they are using.
      Returns:
        A global instance of RenderItem